classification
Title: Remove bundled libffi
Type: enhancement Stage: resolved
Components: Build, ctypes Versions: Python 3.7
process
Status: closed Resolution: fixed
Dependencies: 27976 Superseder:
Assigned To: Nosy List: Chi Hsuan Yen, python-dev, zach.ware
Priority: normal Keywords: patch

Created on 2016-09-06 18:53 by zach.ware, last changed 2017-03-31 16:36 by dstufft. This issue is now closed.

Files
File name Uploaded Description Edit
remove_bundled_libffi.diff zach.ware, 2016-09-06 18:53
Pull Requests
URL Status Linked Edit
PR 552 closed dstufft, 2017-03-31 16:36
Messages (4)
msg274600 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2016-09-06 18:53
The attached patch allows the bundled libffi used in non-Darwin POSIX builds (Modules/_ctypes/libffi, along with Modules/_ctypes/libffi.diff) to be removed.  It depends on the patch in #27976, and does not affect OSX or Windows.
msg274927 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2016-09-08 00:11
The patch will need to be updated to just completely remove the --with(out)-system-ffi check everywhere but OSX.  It will also need to make some changes after the latest patch in #27976.
msg276773 - (view) Author: Roundup Robot (python-dev) Date: 2016-09-17 06:37
New changeset d4981c76a8b9 by Zachary Ware in branch 'default':
Closes #27979: Remove bundled copy of libffi
https://hg.python.org/cpython/rev/d4981c76a8b9
msg277298 - (view) Author: Chi Hsuan Yen (Chi Hsuan Yen) * Date: 2016-09-23 20:57
https://docs.python.org/3/license.html#libffi may need a change, too.
History
Date User Action Args
2017-03-31 16:36:21dstufftsetpull_requests: + pull_request948
2016-09-23 20:57:26Chi Hsuan Yensetmessages: + msg277298
2016-09-17 06:37:25python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg276773

resolution: fixed
stage: patch review -> resolved
2016-09-10 06:56:23Chi Hsuan Yensetnosy: + Chi Hsuan Yen
2016-09-08 00:11:31zach.waresetmessages: + msg274927
2016-09-06 18:54:54zach.waresetdependencies: + Deprecate building with bundled copy of libffi on non-Darwin POSIX platforms
2016-09-06 18:53:39zach.warecreate